import $ from 'domtastic';
import ToggleComponent from '../_helpers/toggleComponent';

export default class SidePanel extends ToggleComponent {
  constructor(element, customOptions) {
    const $sidePanel = $(element);

    let options = {
      dataAttrBase: 'data-sui-o-side-panel',
    };

    // Merge custom options
    if (customOptions) {
      options = $.extend({}, options, customOptions);
    }

    super($sidePanel, options);
  }
}
